<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Malédiction de la Dimensionnalité</title>
    <link rel="stylesheet" href="../Css/styles-fr.css">
    <link rel="stylesheet" id="themeStylesheet" href="../Css/light-theme.css"> <!-- thème clair par défaut -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.0/css/all.min.css">
</head>

<script src="https://cdn.plot.ly/plotly-latest.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jsxgraph/1.3.5/jsxgraphcore.js"></script>
<script src="https://cdn.jsdelivr.net/npm/jsxgraph@1.3.5/dist/jsxgraphcore.js"></script>
<script src="https://d3js.org/d3.v6.min.js"></script>
<script src="https://polyfill.io/v3/polyfill.min.js?features=es6"></script>
<script id="MathJax-script" async src="https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js"></script>



<body>

    <section class="top-page">
        <header class="header">
            <nav class="nav">
                <li><a href="#intro">Introduction</a></li>
                <li><a href="#demo">Démonstration Interactive</a></li>
                <li><a href="#res">Ressources</a></li>
            </nav>
            <button id="themeSwitch">Changer de Thème</button> <!-- Bouton pour basculer entre les thèmes -->
        </header>
        <select id="langSelect"> <!-- Bouton langue -->
            <option value="fr">Français</option>
            <option value="en">English</option>
        </select>
        <div class="landing-page">
            <h1 class="big-title">Malédiction de la Dimensionnalité</h1>
            <a class="scroll-down" href="#end">Faire Défiler <i class="fas fa-angle-down"></i></a>
        </div>
    </section>

    <section class="intro" id="intro">
        <h2 class="section-title">Introduction</h2>
        <p class="text">
            La "Malédiction de la Dimensionnalité" est un phénomène complexe qui affecte les performances des algorithmes d'apprentissage automatique et de fouille de données lorsqu'ils sont confrontés à des ensembles de données de grande dimension. Ce concept est essentiel pour comprendre les défis auxquels sont confrontés les scientifiques des données et les ingénieurs en apprentissage automatique lorsqu'ils travaillent avec de grands ensembles de données.
        </p>
        <h3 class="text-title">Qu'est-ce que la Dimensionnalité ?</h3>
        <p class="text">
            La dimensionnalité d'un ensemble de données fait référence au nombre de caractéristiques ou de variables qui le composent. Par exemple, dans un ensemble de données bidimensionnel, chaque point de données est défini par deux variables (ou dimensions). À mesure que le nombre de dimensions augmente, l'espace dans lequel les données résident devient vaste et complexe.
        </p>
        <h3 class="text-title">La Malédiction de la Dimensionnalité</h3>
        <p class="text">
            La Malédiction de la Dimensionnalité décrit les phénomènes négatifs qui surviennent lorsque le nombre de dimensions dans un ensemble de données devient très élevé. Ces phénomènes incluent l'augmentation de la raréfaction des données, l'augmentation de la distance entre les points de données et l'augmentation de la complexité des modèles nécessaires pour les traiter efficacement.
        </p>
        <h3 class="text-title">Conséquences et Défis</h3>
        <p class="text">
            La Malédiction de la Dimensionnalité présente plusieurs conséquences et défis importants pour les applications pratiques en science des données :
        </p>
        <p class="text-list">
            Il peut entraîner une augmentation du temps de calcul nécessaire pour l'entraînement des modèles.
        </p>
        <p class="text-list">
            Il peut nécessiter des ensembles de données beaucoup plus importants pour obtenir des performances de modélisation fiables.
        </p>
        <p class="text-list">
            Il peut entraîner une mauvaise généralisation du modèle, en raison du surajustement ou du sous-ajustement aux données.
        </p>
        <p class="text">
            Comprendre ces défis est crucial pour développer des solutions efficaces et des techniques de prétraitement des données pour surmonter la Malédiction de la Dimensionnalité et améliorer les performances des algorithmes d'apprentissage automatique.
        </p>
    </section>


    <section class="demo" id="demo">
        <h2 class="section-title">Démonstration Interactive</h2>
        <div class="text">
            <p>
                Vous trouverez ci-dessous une démonstration interactive pour visualiser les concepts liés à la Malédiction de la Dimensionnalité. Voici une explication de son fonctionnement :
            </p>
        </div>
        <div class="text">
            <h3>1. Sélection des paramètres :</h3>
            <ul>
                <li>
                    <strong>1. Nombre de dimensions :</strong> Le nombre de dimensions de l’hypercube est défini à l'aide du curseur “Dimension”. Ainsi le nombre de coin de l’hypercube sera de 2^dim coins. Attention, pour des raisons de problèmes d’affichage, seuls un certain nombre de coins extérieurs seront échantillonnés, de cette façon nous aurons que le nombre d'échantillons << 2^dim. 
                    Voir la section Ressources pour plus de détails.
                    Voir la section Ressources pour plus de détails.
                </li>
                <li>
                    <strong>2. Nombre d’échantillons :</strong> Le nombre d’échantillons dans l’affichage est également défini en l’écrivant dans la barre “Nombre d’échantillons”, ce qui détermine le nombre d’échantillons de coins générés dans l’espace situé entre le cercle circonscrit et inscrit (on commencera par afficher les coins les plus extérieurs). On notera que le nombre d’échantillons doit être << 2^dim
                </li>
                <li>
                    <strong>3. Vecteur w :</strong> Le vecteur w à partir duquel le plan de projection par Gram-Schmidt sera construit, est sélectionnable à l’aide du menu déroulant “w”.
                    Voir la section Ressources pour plus de détails.
                    Voir la section Ressources pour plus de détails.
                </li>
            </ul>
        </div>
        <div class="text">
            <h3>2. Génération de points :</h3>
            <p class="text">
                Lorsque vous ajustez les curseurs pour choisir les paramètres souhaités, les points sont générés de façon aléatoire dans l’hypercube multidimensionnel en fonction des valeurs sélectionnées avec le curseur “Nombre de points”. Une fois la projection sur le plan réalisé on remarquera que les points sont situés à l’intérieur du cercle circonscrit.
                Voir la section Ressources pour plus de détails.
                Voir la section Ressources pour plus de détails.
            </p>
        </div>
        <div class="text">
            <h3>3. Histogramme des normes :</h3>
            <p class="text">
                Un histogramme est également généré pour afficher la distribution des normes des points aléatoires générés. Vous pouvez ajuster le nombre de barres dans l'histogramme à l'aide du curseur ”Nombre de bars”.
            </p>
        </div>

        <p class="text">
            ______________________________________________
        </p>






        <body>
        <div id="controls">
            <label for="dimension">Dimension :</label>
            <input type="number" id="dimension" value="40" />
            <label for="samples">Nombre d'échantillons :</label>
            <input type="number" id="samples" value="5000" />
            <label for="NormalVector"><br> <br> Choisissez le vecteur W:</label>
            <div id="NormalVectorCRTL">
                <label><input type="radio" name="NormalVector" value="random" checked> Génération aléatoire</label>
                <label><input type="radio" name="NormalVector" value="base"> Vecteur de base (1,0,...0)</label>
                <label><input type="radio" name="NormalVector" value="All 1"> Vecteur de base (1,1,...1)</label>
                <label><input type="radio" name="NormalVector" value="manual"> Remplir le vecteur normal</label>
            </div>
            <label for="convexHull"><br> Enveloppe convexe :</label>
            <div>
                <label><input type="radio" name="convexHull" value="yes"> Oui</label>
                <label><input type="radio" name="convexHull" value="no" checked> Non</label>
            </div>
            <div id="NormalVectInputs" style="display: none;"></div>
            
            <button id="refreshButton">Générer de nouveaux points</button>
            <div id="loadingMessage" style="display: none; font-size: 24px;">Veuillez patienter...</div>
            <div style="font-size: 15px;"><br> Remarque: Si votre nombre de dimensions est beaucoup trop élevé, il est possible que la génération n'aboutisse jamais en raison de la complexité de l'algorithme. </div>
        </div>
        <div id="graphs-container">
            <div id="graph1" class="jxgbox"></div>
        </div>
        <div class="text"id="histogram-container">
            <div id="histogram" class="jxgbox" style="width: 1000px; height: 700px;"></div>
        </div>
        
        <div id="info"></div>
        <script src="https://cdn.plot.ly/plotly-latest.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjs/9.5.0/math.min.js"></script>
        <script>
            document.addEventListener('DOMContentLoaded', function () {
                let currentD, currentN, currentPoints;
            
                function points(Dim, NumberOfPoints) {
                    return Array.from({ length: NumberOfPoints }, () => 
                        Array.from({ length: Dim }, () => Math.random() * 2 - 1)
                    );
                }
            
                function jarvisMarch(points) {
                    const n = points.length;
            
                    if (n < 3) return points;
            
                    let hull = [];
                    // Trouver le point le plus à gauche 
                    let leftmost = points.reduce((leftmost, point, i) => {
                        if (point[0] < points[leftmost][0] || (point[0] === points[leftmost][0] && point[1] < points[leftmost][1])) {
                            return i;
                        }
                        return leftmost;
                    }, 0);
            
                    let p = leftmost, q;
            
                    // Déterminer l'orientation + ajout des points de l'enveloppe convexe
                    do {
                        hull.push(points[p]);
                        q = (p + 1) % n;
                        for (let i = 0; i < n; i++) {
                            const orientation = (points[i][1] - points[p][1]) * (points[q][0] - points[i][0]) - (points[i][0] - points[p][0]) * (points[q][1] - points[i][1]);
                            if (orientation > 0 || (orientation === 0 && distance(points[p], points[i]) > distance(points[p], points[q]))) {
                                q = i;
                            }
                        }
                        p = q;
                    } while (p !== leftmost); // Répéter jusqu'à revenir au point de départ
            
                    return hull; // Ensemble de points déterminant l'enveloppe convexe
                }

                function debug(message) {
                    document.getElementById("debug").innerHTML = ("Debug: " + message +
                "<br/>");
                }
            
                function distance(p1, p2) {
                    return Math.sqrt((p2[0] - p1[0]) ** 2 + (p2[1] - p1[1]) ** 2);
                }
            
                function signVector(v) {
                    return v.map(val => Math.sign(val));
                }
            
                function projectOnPlane(point, plan) {
                    const y1 = math.dot(point, plan[1]);
                    const y2 = math.dot(point, plan[2]);
                    return [y1, y2];
                }
            
                function gramSchmidt(NormalVect, A) {
                    const W = math.multiply(1 / math.norm(NormalVect), NormalVect);
                    let e1 = math.subtract(A[0], math.multiply(math.dot(A[0], W), W));
                    e1 = math.multiply(1 / math.norm(e1), e1);
                    let e2 = math.subtract(A[1], math.multiply(math.dot(A[1], W), W));  
                    e2 = math.subtract(e2, math.multiply(math.dot(e2, e1), e1));
                    e2 = math.multiply(1 / math.norm(e2), e2);
                    return [W, e1, e2];
                }
                
                function norm(vector) {
                    return Math.sqrt(vector.reduce((sum, component) => sum + component * component, 0));
                }

                function addVectors(vector1, vector2) {
                    let result = new Array(vector1.length);
                    for (let i = 0; i < vector1.length; i++) {
                        result[i] = vector1[i] + vector2[i];
                    }
                    return result;
                }
                
                function multiplyVectorByScalar(vector, scalar) {
                    let result = new Array(vector.length);
                    for (let i = 0; i < vector.length; i++) {
                        result[i] = vector[i] * scalar;
                    }
                    return result;
                }

                function outsideSamples(Dim, numSamples, e1, e2) {
                    let samples = new Array(numSamples);
                    
                    for (let i = 0; i < numSamples; i++) { // O(numSamples)
                        const alpha = Math.random() * 2 - 1;
                        const beta = Math.random() * 2 - 1;

                        const e1Alpha = multiplyVectorByScalar(e1, alpha); // O(Dim)
                        const e2Beta = multiplyVectorByScalar(e2, beta); // O(Dim)
                        const v = addVectors(e1Alpha, e2Beta); // O(Dim)
                        
                        const normV = norm(v); // O(Dim)
                        let normalizedV = new Array(Dim);
                        for (let j = 0; j < Dim; j++) { // O(Dim)
                            normalizedV[j] = v[j] / normV;
                        }
                        
                        samples[i] = signVector(normalizedV); // O(Dim)
                    }

                    return samples; //O(numSamples x Dim)
                }
            
                function updateInputs() {
                    const vecteurNormal = document.getElementById('NormalVectInputs');
                    vecteurNormal.innerHTML = '';
                    if (document.querySelector('input[name="NormalVector"]:checked').value === 'manual') {
                        const dim = parseInt(document.getElementById('dimension').value);
                        for (let i = 0; i < dim; i++) {
                            const input = document.createElement('input');
                            input.type = 'number';
                            input.id = 'vectorCoord' + i;
                            input.placeholder = 'Coord ' + (i + 1);
                            input.value = 1;
                            vecteurNormal.appendChild(input);
                        }
                        vecteurNormal.style.display = 'block';
                    }
                }
            
                function getVecteurNormal(dim) {
                    const type = document.querySelector('input[name="NormalVector"]:checked').value;
                    if (type === 'random') {
                        return points(dim, 1)[0];
                    } else if (type === "base") {
                        return Array.from({ length: dim }, (_, i) => (i === 0 ? 1 : 0));
                    } else if (type === "All 1") {
                        return Array.from({ length: dim }, () => 1);
                    } else {
                        return Array.from({ length: dim }, (_, i) => parseFloat(document.getElementById('vectorCoord' + i).value));
                    }
                }
            
                function scatter(Dim, preGeneratedPoints, numSamples, convexHull) {
                    const VectN = getVecteurNormal(Dim);
                    const Plane = gramSchmidt(VectN, points(Dim, 2));
                    const samplesPointsCube = outsideSamples(Dim, numSamples, Plane[1], Plane[2]);
                    const samplesPointsCubeProject = samplesPointsCube.map(point => projectOnPlane(point, Plane));
                    const pointsProject = preGeneratedPoints.map(point => projectOnPlane(point, Plane));
                    let convexHullPoints = [];
                    if (convexHull === 'yes') { // Calcul de l'enveloppe convexe avec l'algorithme de Jarvis si oui
                        const uniqueSamples = [...new Set(samplesPointsCubeProject.map(JSON.stringify))].map(JSON.parse); // On le transforme en ensemble de points uniques sans doublons
                        convexHullPoints = jarvisMarch(uniqueSamples);
                    }
            
                    const data = [
                        {
                            // Plot les points
                            x: pointsProject.map(p => p[0]),
                            y: pointsProject.map(p => p[1]),
                            mode: 'markers',
                            type: 'scatter',
                            name: 'Points',
                            marker: { size: 3, color: 'black' }
                        },
                        {
                            // Plot les coins extérieurs
                            x: samplesPointsCubeProject.map(p => p[0]),
                            y: samplesPointsCubeProject.map(p => p[1]),
                            mode: 'markers',
                            type: 'scatter',
                            name: 'Coins extérieurs',
                            marker: { size: 6, color: 'red' }
                        }
                    ];
                    // Ajouter la trace Enveloppe convexe si nécessaire
                    if (convexHull === 'yes') {
                        data.push({
                            x: convexHullPoints.map(p => p[0]),
                            y: convexHullPoints.map(p => p[1]),
                            mode: 'lines',
                            type: 'scatter',
                            name: 'Enveloppe convexe',
                            line: { color: 'pink', width: 2 }
                        });
                    }
            
                    const layout = {
                        autosize: true,
                        title: `Projection d'hypercube pour la dimension D= ${Dim} et N= ${preGeneratedPoints.length} points`,
                        xaxis: {
                            title: 'X',
                            scaleanchor: "y",
                            scaleratio: 1,
                            gridwidth: 2
                        },
                        yaxis: {
                            title: 'Y',
                            gridwidth: 2
                        },
                        shapes: [
                            {
                                type: 'circle',
                                xref: 'x',
                                yref: 'y',
                                x0: -1,
                                y0: -1,
                                x1: 1,
                                y1: 1,
                                line: {
                                    color: 'blue',
                                    width: 2
                                }
                            },
                            {
                                type: 'circle',
                                xref: 'x',
                                yref: 'y',
                                x0: -Math.sqrt(Dim),
                                y0: -Math.sqrt(Dim),
                                x1: Math.sqrt(Dim),
                                y1: Math.sqrt(Dim),
                                line: {
                                    color: 'blue',
                                    width: 2
                                }
                            }
                        ],
                        template: 'plotly_dark',
                        legend: {
                            font: {
                                size: 20
                            }
                        }
                    };
                    plotHistogram(samplesPointsCubeProject, pointsProject, preGeneratedPoints.length);
                    Plotly.react('graph1', data, layout);
                }
            
                function plotHistogram(samplesPointsCubeProject, pointsProject, numSamples) {
                    const data = [
                        {
                            x: pointsProject.map(point => Math.sqrt(point[0]**2 + point[1]**2)),
                            type: 'histogram',
                            name: 'Coordonnée y',
                            marker: {
                                color: 'black'
                            },
                            opacity: 0.5
                        },
                        {
                            x: samplesPointsCubeProject.map(point => Math.sqrt(point[0]**2 + point[1]**2)),
                            type: 'histogram',
                            name: 'Coins',
                            marker: {
                                color: 'red'
                            },
                            opacity: 0.5
                        }
                    ];
            
                    const layout = {
                        title: 'Histogramme de la norme des données projetées',
                        xaxis: {
                            title: 'Normes'
                        },
                        yaxis: {
                            title: 'Fréquence'
                        },
                        barmode: 'overlay',
                        width: 1000,
                        height: 700,
                        legend: {
                            font: {
                                size: 20
                            }
                        }
                    };
            
                    Plotly.newPlot('histogram', data, layout);
                }
            
                function inputValidation() {
                    const numberOfSamples = parseInt(document.getElementById('samples').value);
                    if (isNaN(numberOfSamples) || numberOfSamples <= 0) {
                        alert('Veuillez entrer un nombre valide d\'échantillons.');
                        return false;
                    }
                    return true;
                }
            
                function setPoints() {
                    if (!inputValidation()) return;
                    currentD = parseInt(document.getElementById('dimension').value);
                    currentN = parseInt(document.getElementById('samples').value);
                    currentPoints = points(currentD, currentN);
                }
            
                function refresh() {
                    if (!inputValidation() || !currentPoints) return;
                    // Afficher le message "Veuillez patienter"
                    document.getElementById('loadingMessage').style.display = 'block';
                    // Générer l'hypercube
                    setTimeout(() => {
                        const convexHull = document.querySelector('input[name="convexHull"]:checked').value;
                        scatter(currentD, currentPoints, currentD * currentD, convexHull);
                        // Masquer le message
                        document.getElementById('loadingMessage').style.display = 'none';
                    }, 100);
                }
            
                document.querySelectorAll('input[name="NormalVector"]').forEach(input => {
                    input.addEventListener('change', () => {
                        updateInputs();
                        setPoints();
                    });
                });
            
                document.getElementById('dimension').addEventListener('input', () => {
                    updateInputs();
                    setPoints();
                });
                document.addEventListener('keydown', function(event) {
                    if (event.key === 'Enter') {
                        refresh();
                    }
                });

                document.getElementById('samples').addEventListener('input', setPoints);
                document.getElementById('refreshButton').addEventListener('click', refresh);
            
                setPoints();
                updateInputs();
            });
            </script>
            

    
    


    <section class="res" id="res">
        <h2 class="section-title">Ressources</h2>

            <h1 class="text">Projection Hypercube</h1>
        
            <h2 class="text">Génération de points aléatoires</h2>
            <p class="text">
                On échantillonne aléatoirement \( N \) points \( x_i \) à l'intérieur de \( C \) :
                \( x_i = 2 \times \text{rand}() - 1 \) (car \(\text{rand}() \in [0,1]\))
                \( i = 1, \ldots, N \) \( j = 1, \ldots, D \) (pour chaque dimension de \( C \) on a une coordonnée aléatoire du point \( x_i \))
            </p>
        
            <h2 class="text">Construction du plan</h2>
            <p class="text">
                On définit le plan par son vecteur normale \( \mathbf{w} \) (par défaut choisi aléatoirement: \( w_j = \text{rand()} \) avec \( j = 1, \ldots, D \)).
                On construit ensuite le plan de projection par le processus de Gram-Schmidt (algorithme utilisé en algèbre linéaire pour trouver une base orthogonale à partir d’un ensemble de vecteurs linéairement indépendants) :
                <ul>
                    <li>Normalisation de \( \mathbf{w} \) : \( \mathbf{w} = \frac{\mathbf{w}}{\| \mathbf{w} \|} \)</li>
                    <li>Initialisation des vecteurs \( \mathbf{e}_1 \) et \( \mathbf{e}_2 \) : \( e_{1j} = \text{rand()} \) ; \( e_{2j} = \text{rand()} \) avec \( j = 1, \ldots, D \)</li>
                    <li>Gram-Schmidt :
                        <ul>
                            <li>\( \mathbf{e}_1 = \mathbf{e}_1 - \langle \mathbf{e}_1, \mathbf{w} \rangle \mathbf{w} \) &nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp(pour que \( \mathbf{e}_1 \perp \mathbf{w} \))</li>
                            <li>\( \mathbf{e}_1 = \frac{\mathbf{e}_1}{\| \mathbf{e}_1 \|} \)</li>
                            <li>\( \mathbf{e}_2 = \mathbf{e}_2 - \langle \mathbf{e}_2, \mathbf{w} \rangle \mathbf{w} \) &nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp(pour que \( \mathbf{e}_2 \perp \mathbf{w} \))</li>
                            <li>\( \mathbf{e}_2 = \mathbf{e}_2 - \langle \mathbf{e}_2, \mathbf{e}_1 \rangle \mathbf{e}_1 \) &nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp(pour que \( \mathbf{e}_2 \perp \mathbf{e}_1 \))</li>
                            <li>\( \mathbf{e}_2 = \frac{\mathbf{e}_2}{\| \mathbf{e}_2 \|} \)</li>
                        </ul>
                    </li>
                </ul>
                Ainsi, on obtient les coordonnées de chaque point \( \mathbf{y}_i \) projection de \( \mathbf{x}_i \) sur le plan (\( \mathbf{e}_1, \mathbf{e}_2 \)) :
                \( y_{i1} = \langle \mathbf{x}_i, \mathbf{e}_1 \rangle \)
                \( y_{i2} = \langle \mathbf{x}_i, \mathbf{e}_2 \rangle \)
            </p>
        
            <h2 class="text">Coins du cube</h2>
            <p class="text">
                Un coin de l’hypercube est un vecteur \( \mathbf{a}_i = [\alpha_1, \ldots, \alpha_D] \) avec \( \alpha_j \in [-1, 1] \)
                on peut projeter ce coin en      
                <div id="vector-column">
                    \[
                    \mathbf{z_i} = \begin{bmatrix} z_{i1}=\langle a_i, e_1 \rangle \\ z_{i2}=\langle a_i, e_2 \rangle \end{bmatrix}
                    \]
                </div>
                <p class="text">
                Le nombre de coins de l’hypercube \( D \) dimensions sera de \( 2^D \)
            </p>
            </p>
        
            <h2 class="text">Sphères inscrite et circonscrite</h2>
            <p class="text">
                Comme par définition \( O \in (P) \), on peut tracer la projection de la sphère inscrite comme le cercle de rayon 1, ainsi les coins de l’hypercube seront bien en dehors de cette sphère.
                De plus, on a que la norme de tout coin \( \mathbf{a}_i \), \( \| \mathbf{a}_i \| = \sqrt{D} \)
                donc la projection de la sphère circonscrite sera le cercle de rayon \( \sqrt{D} \)
            </p>
        
            <h2 class="text">Statistique des coordonnées de projection</h2>
            <p class="text">
                Nous avons tracé l'histogramme des <b>\( \bar{y}_{i1} \)</b> et <b>\( \bar{y}_{i2} \)</b>, trouvés à la section "construction du plan". 
            </p>
            <P class="text">
                <p class="text">Le résultat attendu est une gaussienne dont la moyenne \( \bar{y}_i \) augmente avec  \( D \) et le rapport <b>\( \frac{\text{Var}(y_i)}{\bar{y}_i} \)</b> tend vers 0.</p>
            </p>
    </section>
       </body>
       </body>

    <footer id="end">
        <p class="copyright">&copy; 2024-Malédiction de la Dimensionnalité</p>
        <a href="" class="more">plus</a>
    </footer>
    


    <script src="../JavaScript/Smooth_web_page.js"></script>

</body>
</html>
